scala.tools.nsc

# ScriptRunner

#### class ScriptRunner extends HasCompileSocket

An object that runs Scala code in script files.

For example, here is a complete Scala script on Unix:

       #!/bin/sh
       exec scala "$0" "$@"
       !#
       Console.println("Hello, world!")
       args.toList foreach Console.println

And here is a batch file example on Windows XP:

       ::#!
       @echo off
       call scala %0 %*
       goto :eof
       ::!#
       Console.println("Hello, world!")
       args.toList foreach Console.println

Source
  ScriptRunner.scala
Version

  1.0, 15/05/2006

To do

  It would be better if error output went to stderr instead of stdout...

Linear Supertypes
HasCompileSocket, AnyRef, Any
Known Subclasses
ScriptRunner
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScriptRunner
2. HasCompileSocket
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ScriptRunner()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScriptRunner to any2stringadd[ScriptRunner] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScriptRunner, B)

   Implicit information
     This member is added by an implicit conversion from ScriptRunner to ArrowAssoc[ScriptRunner] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compileOnServer(sock: Socket, args: Seq[String]): Boolean

   Definition Classes
     HasCompileSocket

9. #### lazy val compileSocket: CompileSocket.type

   Definition Classes
     ScriptRunner → HasCompileSocket

10. #### val defaultScriptMain: String

    Default name to use for the wrapped script

11. #### def ensuring(cond: (ScriptRunner) ⇒ Boolean, msg: ⇒ Any): ScriptRunner

    Implicit information
      This member is added by an implicit conversion from ScriptRunner to Ensuring[ScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (ScriptRunner) ⇒ Boolean): ScriptRunner

    Implicit information
      This member is added by an implicit conversion from ScriptRunner to Ensuring[ScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScriptRunner

    Implicit information
      This member is added by an implicit conversion from ScriptRunner to Ensuring[ScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): ScriptRunner

    Implicit information
      This member is added by an implicit conversion from ScriptRunner to Ensuring[ScriptRunner] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### val errorMarkers: Set[String]

    Definition Classes
      HasCompileSocket

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScriptRunner to StringFormat[ScriptRunner] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def isErrorMessage(msg: String): Boolean

    Definition Classes
      HasCompileSocket

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### def newGlobal(settings: Settings, reporter: Reporter): Global

    Attributes
      protected

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def runCommand(settings: GenericRunnerSettings, command: String, scriptArgs: List[String]): Boolean

    Run a command

    Run a command

    returns

      true if compilation and execution succeeded, false otherwise.

29. #### def runScript(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Boolean

    Run a script file with the specified arguments and compilation settings.

    Run a script file with the specified arguments and compilation settings.

    returns

      true if compilation and execution succeeded, false otherwise.

30. #### def runScriptAndCatch(settings: GenericRunnerSettings, scriptFile: String, scriptArgs: List[String]): Either[Throwable, Boolean]

    Calls runScript and catches the enumerated exceptions, routing them to Left(ex) if thrown.

31. #### def scriptMain(settings: Settings): String

    Pick a main object name from the specified settings

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (ScriptRunner, B)

    Implicit information
      This member is added by an implicit conversion from ScriptRunner to ArrowAssoc[ScriptRunner] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScriptRunner to any2stringadd[ScriptRunner]

### Inherited by implicit conversion StringFormat from ScriptRunner to StringFormat[ScriptRunner]

### Inherited by implicit conversion Ensuring from ScriptRunner to Ensuring[ScriptRunner]

### Inherited by implicit conversion ArrowAssoc from ScriptRunner to ArrowAssoc[ScriptRunner]

### Ungrouped